Community mailing list archives

Re: sequence_type and backward compatibility

Pedro M. Baeza
- 10/06/2015 12:14:59
For any reason or another, you'll end up needing to have 2 versions of the module, one for v8, and another for v9, leading with all of this internal changes.


2015-10-06 18:12 GMT+02:00 Fabien MORIN <>:
Hi all,

I'm quite new with odoo, so may be there is something I didn't get, please 
correct me if I'm wrong.

I'm trying to make a custom module working on V8 and V9 and odoo refuse to 
start on V9 because of a sequence.
If I understand well, in V8 we need to use an ir.sequence.type with an 
ir.sequence (see

But ir.sequence_type seems to been removed in V9 
that mean that if you put an ir.sequence.type in your module it will work on 
V8 but not on V9 and if you don't put it, it will work on V9 but not on V8.

Is there any workaround to have a module working on both V8 and V9 ? Or is it 
just like that, that there is no backward compatibility ?

Fabien MORIN
TeMPO Consulting
20, avenue de la Paix
67000 Strasbourg
Tel   : +33 3 88 56 82 17
Fax   : +33 9 70 63 35 46 

Post to: